Agora Java API Reference for Android

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.Constants.VOICE_AI_TUNER_TYPE Enum Reference

Voice AI tuner sound types. More...

## Public Member Functions
int | getValue ()

## Static Public Member Functions
static VOICE_AI_TUNER_TYPE | fromInt (int v)

## Public Attributes
| VOICE_AI_TUNER_MATURE_MALE =(0)
| VOICE_AI_TUNER_FRESH_MALE =(1)
| VOICE_AI_TUNER_ELEGANT_FEMALE =(2)
| VOICE_AI_TUNER_SWEET_FEMALE =(3)
| VOICE_AI_TUNER_WARM_MALE_SINGING =(4)
| VOICE_AI_TUNER_GENTLE_FEMALE_SINGING =(5)
| VOICE_AI_TUNER_HUSKY_MALE_SINGING =(6)
| VOICE_AI_TUNER_WARM_ELEGANT_FEMALE_SINGING =(7)
| VOICE_AI_TUNER_POWERFUL_MALE_SINGING =(8)
| VOICE_AI_TUNER_DREAMY_FEMALE_SINGING =(9)

## Detailed Description

Voice AI tuner sound types.

## Member Data Documentation

## ◆ VOICE_AI_TUNER_MATURE_MALE

io.agora.rtc2.Constants.VOICE_AI_TUNER_TYPE.VOICE_AI_TUNER_MATURE_MALE =(0)

0: Mature male voice. A deep and magnetic male voice.

## ◆ VOICE_AI_TUNER_FRESH_MALE

io.agora.rtc2.Constants.VOICE_AI_TUNER_TYPE.VOICE_AI_TUNER_FRESH_MALE =(1)

1: Fresh male voice. A fresh and slightly sweet male voice.

## ◆ VOICE_AI_TUNER_ELEGANT_FEMALE

io.agora.rtc2.Constants.VOICE_AI_TUNER_TYPE.VOICE_AI_TUNER_ELEGANT_FEMALE =(2)

2: Elegant female voice. A deep and charming female voice.

## ◆ VOICE_AI_TUNER_SWEET_FEMALE

io.agora.rtc2.Constants.VOICE_AI_TUNER_TYPE.VOICE_AI_TUNER_SWEET_FEMALE =(3)

3: Sweet female voice. A high-pitched and cute female voice.

## ◆ VOICE_AI_TUNER_WARM_MALE_SINGING

io.agora.rtc2.Constants.VOICE_AI_TUNER_TYPE.VOICE_AI_TUNER_WARM_MALE_SINGING =(4)

4: Warm male singing. A warm and melodious male voice.

## ◆ VOICE_AI_TUNER_GENTLE_FEMALE_SINGING

io.agora.rtc2.Constants.VOICE_AI_TUNER_TYPE.VOICE_AI_TUNER_GENTLE_FEMALE_SINGING =(5)

5: Gentle female singing. A soft and delicate female voice.

## ◆ VOICE_AI_TUNER_HUSKY_MALE_SINGING

io.agora.rtc2.Constants.VOICE_AI_TUNER_TYPE.VOICE_AI_TUNER_HUSKY_MALE_SINGING =(6)

6: Husky male singing. A unique husky male voice.

## ◆ VOICE_AI_TUNER_WARM_ELEGANT_FEMALE_SINGING

io.agora.rtc2.Constants.VOICE_AI_TUNER_TYPE.VOICE_AI_TUNER_WARM_ELEGANT_FEMALE_SINGING =(7)

7: Warm elegant female singing. A warm and mature female voice.

## ◆ VOICE_AI_TUNER_POWERFUL_MALE_SINGING

io.agora.rtc2.Constants.VOICE_AI_TUNER_TYPE.VOICE_AI_TUNER_POWERFUL_MALE_SINGING =(8)

8: Powerful male singing. A strong and powerful male voice.

## ◆ VOICE_AI_TUNER_DREAMY_FEMALE_SINGING

io.agora.rtc2.Constants.VOICE_AI_TUNER_TYPE.VOICE_AI_TUNER_DREAMY_FEMALE_SINGING =(9)

9: Dreamy female singing. A dreamy and soft female voice.